com.genesyslab.wfm8.API.service.schedule800

## Class SchAgentStateHolder

- java.lang.Object
- - com.genesyslab.wfm8.API.service.schedule800.SchAgentStateHolder

- All Implemented Interfaces:
    java.io.Serializable

      public class SchAgentStateHolder
      extends java.lang.Object
      implements java.io.Serializable

  Represents a response for requests to load `SchAgentState`
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected CfgAgentHolder` | `cfgAgentInfo` Contains agent related information if requested `CfgAgentHolder`
    `protected java.util.List<SchAgentState>` | `schAgentState` An array of `SchAgentState`
    `protected int` | `schAgentStateNSizeIs` Number of elements in "schAgentState" array
    `protected java.util.List<SchStateInfo>` | `schStateInfo` Contains state info (`SchStateInfo`) for every unique schedule state found in "schAgentState".
    `protected int` | `schStateInfoNSizeIs` Number of elements in "schStateInfo" array
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` The value of the database timestamp at the time when states were read from the database.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SchAgentStateHolder()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `CfgAgentHolder` | `getCfgAgentInfo()` Gets the value of the cfgAgentInfo property.
    `java.util.List<SchAgentState>` | `getSchAgentState()` Gets the value of the schAgentState property.
    `int` | `getSchAgentStateNSizeIs()` Gets the value of the schAgentStateNSizeIs property.
    `java.util.List<SchStateInfo>` | `getSchStateInfo()` Gets the value of the schStateInfo property.
    `int` | `getSchStateInfoNSizeIs()` Gets the value of the schStateInfoNSizeIs property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `hashCode()`
    `void` | `setCfgAgentInfo(CfgAgentHolder value)` Sets the value of the cfgAgentInfo property.
    `void` | `setSchAgentState(java.util.List<SchAgentState> schAgentState)` Sets the value of the schAgentState property.
    `void` | `setSchAgentStateNSizeIs(int value)` Sets the value of the schAgentStateNSizeIs property.
    `void` | `setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)` Sets the value of the schStateInfo property.
    `void` | `setSchStateInfoNSizeIs(int value)` Sets the value of the schStateInfoNSizeIs property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `java.lang.String` | `toString()`
    `SchAgentStateHolder` | `withCfgAgentInfo(CfgAgentHolder value)`
    `SchAgentStateHolder` | `withSchAgentState(java.util.Collection<SchAgentState> values)`
    `SchAgentStateHolder` | `withSchAgentState(SchAgentState... values)`
    `SchAgentStateHolder` | `withSchAgentStateNSizeIs(int value)`
    `SchAgentStateHolder` | `withSchStateInfo(java.util.Collection<SchStateInfo> values)`
    `SchAgentStateHolder` | `withSchStateInfo(SchStateInfo... values)`
    `SchAgentStateHolder` | `withSchStateInfoNSizeIs(int value)`
    `SchAgentStateHolder` | `withTimestamp(long value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### schAgentStateNSizeIs

          protected int schAgentStateNSizeIs

      Number of elements in "schAgentState" array

    - #### schAgentState

          protected java.util.List<SchAgentState> schAgentState

      An array of `SchAgentState`

    - #### schStateInfoNSizeIs

          protected int schStateInfoNSizeIs

      Number of elements in "schStateInfo" array

    - #### schStateInfo

          protected java.util.List<SchStateInfo> schStateInfo

      Contains state info (`SchStateInfo`) for every unique schedule state found in "schAgentState". This is null if state info was not requested.

    - #### cfgAgentInfo

          protected CfgAgentHolder cfgAgentInfo

      Contains agent related information if requested `CfgAgentHolder`

    - #### timestamp

          protected long timestamp

      The value of the database timestamp at the time when states were read from the database.

  - ### Constructor Detail

    - #### SchAgentStateHolder

          public SchAgentStateHolder()

  - ### Method Detail

    - #### getSchAgentStateNSizeIs

          public int getSchAgentStateNSizeIs()

      Gets the value of the schAgentStateNSizeIs property.

    - #### setSchAgentStateNSizeIs

          public void setSchAgentStateNSizeIs(int value)

      Sets the value of the schAgentStateNSizeIs property.

    - #### getSchAgentState

          public java.util.List<SchAgentState> getSchAgentState()

      Gets the value of the schAgentState property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schAgentState property.

      For example, to add a new item, do as follows:

              getSchAgentState().add(newItem);

      Objects of the following type(s) are allowed in the list `SchAgentState`

    - #### getSchStateInfoNSizeIs

          public int getSchStateInfoNSizeIs()

      Gets the value of the schStateInfoNSizeIs property.

    - #### setSchStateInfoNSizeIs

          public void setSchStateInfoNSizeIs(int value)

      Sets the value of the schStateInfoNSizeIs property.

    - #### getSchStateInfo

          public java.util.List<SchStateInfo> getSchStateInfo()

      Gets the value of the schStateInfo property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the schStateInfo property.

      For example, to add a new item, do as follows:

              getSchStateInfo().add(newItem);

      Objects of the following type(s) are allowed in the list `SchStateInfo`

    - #### getCfgAgentInfo

          public CfgAgentHolder getCfgAgentInfo()

      Gets the value of the cfgAgentInfo property.
      Returns:
        possible object is `CfgAgentHolder`

    - #### setCfgAgentInfo

          public void setCfgAgentInfo(CfgAgentHolder value)

      Sets the value of the cfgAgentInfo property.
      Parameters:
        `value` - allowed object is `CfgAgentHolder`

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withSchAgentStateNSizeIs

          public SchAgentStateHolder withSchAgentStateNSizeIs(int value)

    - #### withSchAgentState

          public SchAgentStateHolder withSchAgentState(SchAgentState... values)

    - #### withSchAgentState

          public SchAgentStateHolder withSchAgentState(java.util.Collection<SchAgentState> values)

    - #### withSchStateInfoNSizeIs

          public SchAgentStateHolder withSchStateInfoNSizeIs(int value)

    - #### withSchStateInfo

          public SchAgentStateHolder withSchStateInfo(SchStateInfo... values)

    - #### withSchStateInfo

          public SchAgentStateHolder withSchStateInfo(java.util.Collection<SchStateInfo> values)

    - #### withCfgAgentInfo

          public SchAgentStateHolder withCfgAgentInfo(CfgAgentHolder value)

    - #### withTimestamp

          public SchAgentStateHolder withTimestamp(long value)

    - #### setSchAgentState

          public void setSchAgentState(java.util.List<SchAgentState> schAgentState)

      Sets the value of the schAgentState property.
      Parameters:
        `schAgentState` - allowed object is `SchAgentState`

    - #### setSchStateInfo

          public void setSchStateInfo(java.util.List<SchStateInfo> schStateInfo)

      Sets the value of the schStateInfo property.
      Parameters:
        `schStateInfo` - allowed object is `SchStateInfo`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.